package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.entity.ModelIssue;
import com.pms.ocp.model.entity.TreeNode;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:25
 * @Description:模型订阅数据层接口
 */
//
@Mapper
public interface ModelIssueMapper  extends BaseMapper<ModelIssue> {
    List<TreeNode> selectOrganData();

    List<TreeNode> selectModelAndModelGroup(@Param("searchCondition") String searchCondition);
}
